BUS_RESCAN(9)

NAME
BUS_RESCAN - rescan a bus checking for devices that have been added or removed

SYNOPSIS
#include <sys/param.h>
#include <sys/bus.h>
void
BUS_RESCAN(device_t dev);

DESCRIPTION
The BUS_RESCAN() method is called to request a rescan of the child devices on a bus device. The method should add any devices that have been added since the previous scan and remove devices that have been removed. This method is not required to re-examine existing devices to determine if their properties have changed. This method is also not required to propagate the rescan request to child devices.

SEE ALSO
device(9)